package cutil

import (
	"os"
	"path/filepath"
)

func CreateParentDir(filePath string) error {

	// 获取文件的父目录路径
	directory := filepath.Dir(filePath)

	// 检查目录是否存在
	if _, err := os.Stat(directory); os.IsNotExist(err) {
		// 如果目录不存在，创建父目录
		err := os.MkdirAll(directory, os.ModePerm)
		if err != nil {
			return err
		}
	}
	return nil
}

func CreateDir(directory string) error {
	// 检查目录是否存在
	if _, err := os.Stat(directory); os.IsNotExist(err) {
		// 如果目录不存在，创建父目录
		err := os.MkdirAll(directory, os.ModePerm)
		if err != nil {
			return err
		}
	}
	return nil
}
