package pjisuv_msgs

import (
	"github.com/bluenviron/goroslib/v2/pkg/msg"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/geometry_msgs"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/std_msgs"
)

type BoundingBox struct {
	msg.Package `ros:"jsk_recognition_msgs"`
	Header      std_msgs.Header       `rosname:"header"`
	Pose        geometry_msgs.Pose    `rosname:"pose"`
	Dimensions  geometry_msgs.Vector3 `rosname:"dimensions"`
	Value       float32               `rosname:"value"`
	Label       uint32                `rosname:"label"`
}
